Bug 53547 - Installer stops after format
Installer stops after format
Status: CLOSED DUPLICATE of bug 37280
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-11 04:52 EDT by Need Real Name
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-19 04:40:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-09-11 04:52:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
No matter what install options I choose, my compaq deskpro 2000 (5166MMX) 
hangs during install just after formatting the drive.  It returns the 
following error:

HeaderLoad: assertion "rdlen == dl" failed. 

This problem only occurs when i use a maxtor 30,7 GB drive (5T030H3) or a 
maxtor 20 GB drive (I don't have any other drives). The original 2.1 GB 
western digital drive that came with the deskpro 2000 doen't have this 
problem. I used the same disks on a clone PC and it works fine. 
- The BIOS large disk translations option is turned off.
- I tried all the compaq firmware upgrades that check for older maxtor 
firmwares (didn't apply to any of my drives)
- Sometimes there is no error but the system just hangs. 
- Doing a custom install with the LILO option turned off works OK


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Take a compaq deskpro 2000
2. replace the original disk with a brand new one (Maxtor)
3. install linux
4. wait for the error
	

Actual Results:  The error "HeaderLoad: assertion "rdlen == dl" failed. " 
appeared

Expected Results:  Installer should start transferring the images to the 
drive

Additional info:
Comment 1 Doug Ledford 2001-09-19 10:08:32 EDT
This sounds like an install code bug.  Reassigning to the component anaconda and
the owner of that component.
Comment 2 Brent Fox 2001-09-20 11:01:38 EDT
Can you attach the complete debug error message?
Comment 3 Need Real Name 2001-09-27 16:51:46 EDT
Do you mean the complete contents of the screen after linux stops responding or 
do I have to do anything special to obtain a "complete debug error message"?
Comment 4 Brent Fox 2001-09-28 10:37:20 EDT
Well, when you see the message "HeaderLoad: assertion "rdlen == dl" failed.", is
there any more information on the screen with it?  Usually when a crash occurs,
a bunch of information is written to the screen that gives us a clue as to where
the crash occured.  If there's more information on the screen, tell us what it says.

I can't really say what the problem is at this point, and I haven't seen this
problem before.  I'm a little confused as to why the computer works with the old
hard drive, but not the new one...but the new hard drive works in a different
computer.  This makes it seem like a hardware problem to me, but I can't say for
sure.  Does the BIOS identify the new drive?


Comment 5 Brent Fox 2001-10-15 12:17:42 EDT
Closing due to inactivity.  Please reopen if you have more information.
Comment 6 Need Real Name 2001-10-15 17:11:45 EDT
Sorry to keep you waiting. Just back from vacation. I will have a replacement 
server in 2 weeks. After that i'll be able to do a new install on the compaq to 
reproduce the message. 

I'll be back.
Comment 7 Need Real Name 2001-10-15 17:23:57 EDT
P.S. 
In case you're wondering. I have completed the install and the machine is being 
used as a mailserver. It boots from floppy and that seems to work. Although 
sometimes I can see CRC errors on the screen which isn't very comforting.

- the maxtor drives passed all the tests on the maxtor diagnostic diskettes.
- I ran windows NT server 4.0 SP 6a on it for 90 days without any problems 
although I used the WD 2.1 GB drive to boot during that period.

Anyway. I'll have more info in a couple of weeks
Comment 8 Brent Fox 2001-10-16 15:36:02 EDT
Ok, I'm reopening the bug report and will put in Needinfo state until your new
server comes in.
Comment 9 Brent Fox 2001-11-05 10:09:22 EST
Have you made any progress?
Comment 10 Need Real Name 2001-11-09 09:26:29 EST
The replacement server will hopefully arrive on monday. I'll have more on 
tuesday.
Comment 11 Brent Fox 2001-11-09 16:08:31 EST
Ok.
Comment 12 Need Real Name 2001-11-16 08:02:27 EST
Ok here it is:

#Top of the screen show the following message a number of times (+/- 7 times)

Gtk-CRITICAL **: file gtkaccelgroup.c: line 188 (gtk_accel_group_attach): 
assertion 'g_slist_find (accel_group->attach_objects, object) == NULL' failed

#then the following text

python: header.c:511: headerload: Assertion 'rdlen == dl' failed
install exited abnormally
sending termination signals...done
sending kill signals...done
disabling swap...
    /tmp/swap/hda9
    /tmp/swap/hdd1
unmounting filesystems...
    /mnt/sysimage/boot
    /mnt/sysimage/home
    /mnt/sysimage/proc
    /mnt/sysimage/var
    /mnt/sysimage/usr
    /mnt/sysimage
    /mnt/runtime
    /mnt/source umount failed ()
    /dev/pts
    /proc
you may safely reboot your system
Comment 13 Brent Fox 2001-11-16 14:51:42 EST
Can you try doing the install in text mode?  Just boot the installer by typing 
'text'.  Does that help?
Comment 14 Need Real Name 2001-11-19 04:40:07 EST
#During install it says:

WARNING: Unknown EDD version 0x1600 supported

In dont know if this message shows up during a graphical install.
The rest is the same.

Python: headerload asserttion failed etc. etc.

Doesn't work.

Comment 15 Brent Fox 2001-11-20 13:16:23 EST
This looks like a dupe of bug #37280

*** This bug has been marked as a duplicate of 37280 ***

Note You need to log in before you can comment on or make changes to this bug.